Subject: zle-line-finish behavior and documentation
From: Vincent Lefevre <[email-masked]>
To: [email-masked]
Date: Thu, 14 Jan 2016 15:56:31 +0100
List-Id: Zsh Workers List <zsh-workers.zsh.org>

The zsh man pages say:

  zle-line-finish
    This is similar to zle-line-init but is executed every time the
    line editor has finished reading a line of input.

but this is not very clear. If the command line is aborted with Ctrl-C,
zle-line-finish is not executed. According to past discussions, it
seems to be the expected behavior, but the documentation is not clear
on what "has finished reading a line of input" means exactly.

BTW, is there something similar executed when the command line is
aborted?

-- 
Vincent Lefèvre <[email-masked]> - Web: <https://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <https://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)